CocoaTweet::API::Medias::Media Class Reference

Entory point for statuses/*. More...

`#include <media.h>`

Inheritance diagram for CocoaTweet::API::Medias::Media:
[legend]
Collaboration diagram for CocoaTweet::API::Medias::Media:
[legend]

## Public Member Functions

| Media ()=default
| primary constructor to allow for create NON-INITIALIZED object More...
| Media (std::shared_ptr< CocoaTweet::OAuth::OAuth1 > _oauth)
| constructor which finally should to be called. More...
CocoaTweet::API::Model::MediaStore | upload (const std::string &_file) const

## Additional Inherited Members

Protected Attributes inherited from CocoaTweet::API::groupInterface
std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | oauth_

## Detailed Description

Entory point for statuses/*.

## Constructor & Destructor Documentation

## Media() [1/2]

CocoaTweet::API::Medias::Media::Media | ( |  | ) |

default

primary constructor to allow for create NON-INITIALIZED object

## Media() [2/2]

CocoaTweet::API::Medias::Media::Media | ( | std::shared_ptr< CocoaTweet::OAuth::OAuth1 > | _oauth | ) |

constructor which finally should to be called.

Parameters

  [in] | std::shared_ptr<CocoaTweet::OAuth::OAuth1> | : pointer to OAuth object

## Member Function Documentation

## upload()

CocoaTweet::API::Model::MediaStore CocoaTweet::API::Medias::Media::upload | ( | const std::string & | _file | ) | const

The documentation for this class was generated from the following files:

- src/cocoatweet/api/media/media.h
- src/cocoatweet/api/media/media.cc